- [HTTP request](https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1/projects.locations/getSharedRegionalCertificateAuthority#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1/projects.locations/getSharedRegionalCertificateAuthority#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1/projects.locations/getSharedRegionalCertificateAuthority#body.request_body)
- [Response body](https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1/projects.locations/getSharedRegionalCertificateAuthority#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1/projects.locations/getSharedRegionalCertificateAuthority#body.SharedRegionalCertificateAuthority.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1/projects.locations/getSharedRegionalCertificateAuthority#body.aspect)
- [RegionalManagedCertificateAuthority](https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1/projects.locations/getSharedRegionalCertificateAuthority#RegionalManagedCertificateAuthority)
  - [JSON representation](https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1/projects.locations/getSharedRegionalCertificateAuthority#RegionalManagedCertificateAuthority.SCHEMA_REPRESENTATION)
- [RegionalCertChain](https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1/projects.locations/getSharedRegionalCertificateAuthority#RegionalCertChain)
  - [JSON representation](https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1/projects.locations/getSharedRegionalCertificateAuthority#RegionalCertChain.SCHEMA_REPRESENTATION)

Gets the details of shared regional certificate authority information for Memorystore instance.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 asia-southeast3 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west1 europe-west10 europe-west12 europe-west15 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 northamerica-south1 southamerica-east1 southamerica-west1 us-central1 us-central2 us-east1 us-east4 us-east5 us-east7 us-south1 us-west1 us-west2 us-west3 us-west4 us-west8   
`GET https://memorystore.googleapis.com/v1/{name=projects/*/locations/*/sharedRegionalCertificateAuthority}`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Regional certificate authority resource name using the form: `projects/{project}/locations/{location}/sharedRegionalCertificateAuthority` where `locationId` refers to a Google Cloud region. |

### Request body

The request body must be empty.

### Response body

Shared regional certificate authority for an instance.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "name": string, // The following is a list of mutually exclusive fields. At most one of the // fields will be set in a response: "managedServerCa": { object (`https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1/projects.locations/getSharedRegionalCertificateAuthority#RegionalManagedCertificateAuthority`) } // End of mutually exclusive fields. } ``` |

| Fields ||
|---|---|
| `name` | `string` Identifier. Unique name of the resource in this scope including project and location using the form: `projects/{project}/locations/{location}/sharedRegionalCertificateAuthority` |
| Server ca information. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: ||
| `managedServerCa` | ``object (`https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1/projects.locations/getSharedRegionalCertificateAuthority#RegionalManagedCertificateAuthority`)`` CA certificate chains for memorystore managed server authentication. |
| End of mutually exclusive fields. ||

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/memorystore.read-write`

## RegionalManagedCertificateAuthority

CA certificate chains for memorystore managed server authentication.

| JSON representation |
|---|
| ``` { "caCerts": [ { object (`https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1/projects.locations/getSharedRegionalCertificateAuthority#RegionalCertChain`) } ] } ``` |

| Fields ||
|---|---|
| `caCerts[]` | ``object (`https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1/projects.locations/getSharedRegionalCertificateAuthority#RegionalCertChain`)`` The PEM encoded CA certificate chains for memorystore managed server authentication |

## RegionalCertChain

The certificates that form the CA chain, from leaf to root order.

| JSON representation |
|---|
| ``` { "certificates": [ string ] } ``` |

| Fields ||
|---|---|
| `certificates[]` | `string` The certificates that form the CA chain, from leaf to root order. |